Query Parameters
Specifies the maximum number of endpoints to retrieve in the response. The default value is set to 20
Specifies the number of endpoints to skip before starting to retrieve the list
Search endpoints by subdomain or label
Sort field. Accepted values: name, status, network, label, tags, usage, created_at. Default value: created_at
Sort direction. Accepted values: asc, desc. Default value: ASC
Filter by network name(s)
Filter by endpoint status. Accepted values: active, paused
Filter by endpoint label(s)
Filter for dedicated endpoints only
Filter for flat rate endpoints only
Filter endpoints by tag IDs. Can be a single integer or an array of integers. Optional. Cannot be used together with tag_labels
Filter endpoints by tag labels. Can be a single string or an array of strings. Optional. Cannot be used together with tag_ids
Returns
An array of data which contains the following fields:
A unique identifier for the specific endpoint
The endpoint subdomain
A descriptive label for the endpoint
The current status of the endpoint (active or paused)
The blockchain the endpoint is associated with
The specific network of the blockchain
Whether the endpoint is a dedicated endpoint
Whether the endpoint is a flat rate endpoint
Whether the endpoint is a multichain endpoint
The HTTP URL to access the endpoint
The WebSocket URL to access the endpoint
An array of tags associated with the endpoint
The unique identifier for the tag
The label/name of the tag
Pagination details for the response
The total number of endpoints matching the query
The maximum number of endpoints returned per page
The number of endpoints skipped
An error message if any issue occurs